import { Playlist } from "./playlist";
import * as HLS from "hls-parser";
export declare class AudioTrack {
    protected _rendition: HLS.types.Rendition<"AUDIO">;
    protected _playlist: Playlist;
    get type(): string;
    get isAudio(): boolean;
    get uniqueKey(): string;
    get uri(): string | null;
    get absoluteUri(): string | null;
    constructor(playlist: Playlist, rendition: HLS.types.Rendition<"AUDIO">);
    toString(): string;
}
