import { Playlist } from "./playlist";
import * as HLS from "hls-parser";
export declare class AudioTrack {
    protected rendition: HLS.types.Rendition<"AUDIO">;
    protected playlist: Playlist;
    constructor(playlist: Playlist, rendition: HLS.types.Rendition<"AUDIO">);
    getType(): string;
    isAudio(): boolean;
    getUniqueKey(): string;
    toString(): string;
}
