import { Chunklist } from "./chunklist";
import { SegmentInfo } from "./segment-info";
import * as HLS from "hls-parser";
export declare class Segment {
    protected _segment: HLS.types.Segment;
    protected _segmentInfo: SegmentInfo;
    protected _chunklist: Chunklist;
    get segment(): HLS.types.Segment;
    constructor(chunklist: Chunklist, segment: HLS.types.Segment);
    getMediaSequenceNumber(): number;
    getDuration(): number;
    cloneWithDiscontinuity(discontinuity: boolean): Segment;
    toString(): string;
}
