"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const playlistUrl = 'http://stream-archive-input-test.s3.amazonaws.com/output/14ajhmZDE6Wi9ct9_qHDCWeukB15ssKO/playlist.m3u8';
_1.Playlist.loadFromUrl(playlistUrl).then(function (playlist) {
    playlist
        .setBaseUrl('https://videos.flosports.tv/')
        .setQueryStringParam('signature', '1234567')
        .setTypeFilter(_1.PlaylistTypeFilter.VideoAndAudio)
        .sortByBandwidth(_1.RenditionSortOrder.worstFirst);
    console.log(playlist.toString());
    console.log(playlist.getVideoRenditionUrl(0));
});
