"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
const playlistUrl = "http://stream-archive-input-test.s3.amazonaws.com/output/14ajhmZDE6Wi9ct9_qHDCWeukB15ssKO/playlist.m3u8";
index_1.Playlist.loadFromUrl(playlistUrl).then(function (playlist) {
    playlist
        .setBaseUrl("https://videos.flosports.tv/")
        .setTypeFilter(index_1.PlaylistTypeFilter.VideoWithAudio)
        .sortByBandwidth(index_1.RenditionSortOrder.worstFirst);
    console.log(playlist.toString());
});
