import { Playlist } from "./playlist";
import { AudioTrack } from "./audio-track";
import * as HLS from "hls-parser";
export declare class StreamInfo {
    protected variant: HLS.types.Variant;
    protected playlist: Playlist;
    constructor(playlist: Playlist, variant: HLS.types.Variant);
    getTracks(): AudioTrack[];
    isIframeOnly(): boolean;
    hasAudio(): boolean;
    hasVideo(): boolean;
    protected propertiesToCommaSeparated(properties: any[]): string;
    toString(): string;
}
